[security-announce] openSUSE-SU-2016:1265-1: important: Security update for java-1_7_0-openjdk

Fabricante: SuSe
Fecha: 07/05/2016
Identificador: SUSE-SU-2016:1265-1
[security-announce] openSUSE-SU-2016:1265-1: important: Security update for java-1_7_0-openjdk
openSUSE Security Update: Security update for java-1_7_0-openjdk ______________________________________________________________________________ Announcement ID: openSUSE-SU-2016:1265-1 Rating: important References: #976340 Cross-References: CVE-2016-0686 CVE-2016-0687 CVE-2016-0695 CVE-2016-3425 CVE-2016-3427 Affected Products: openSUSE Leap 42.1 ______________________________________________________________________________ An update that fixes 5 vulnerabilities is now available. Description: This update for java-1_7_0-openjdk to version 2.6.6 fixes five security issues. These security issues were fixed: - CVE-2016-0686: Ensure thread consistency (bsc#976340). - CVE-2016-0687: Better byte behavior (bsc#976340). - CVE-2016-0695: Make DSA more fair (bsc#976340). - CVE-2016-3425: Better buffering of XML strings (bsc#976340). - CVE-2016-3427: Improve JMX connections (bsc#976340). This update was imported from the SUSE:SLE-12:Update update project. Patch Instructions: To install this openSUSE Security Update use YaST online_update. Alternatively you can run the command listed for your product: - openSUSE Leap 42.1: zypper in -t patch openSUSE-2016-573=1 To bring your system up-to-date, use "zypper patch". Package List: - openSUSE Leap 42.1 (i586 x86_64): java-1_7_0-openjdk-1.7.0.101-31.1 java-1_7_0-openjdk-accessibility-1.7.0.101-31.1 java-1_7_0-openjdk-debuginfo-1.7.0.101-31.1 java-1_7_0-openjdk-debugsource-1.7.0.101-31.1 java-1_7_0-openjdk-demo-1.7.0.101-31.1 java-1_7_0-openjdk-demo-debuginfo-1.7.0.101-31.1 java-1_7_0-openjdk-devel-1.7.0.101-31.1 java-1_7_0-openjdk-devel-debuginfo-1.7.0.101-31.1 java-1_7_0-openjdk-headless-1.7.0.101-31.1 java-1_7_0-openjdk-headless-debuginfo-1.7.0.101-31.1 java-1_7_0-openjdk-src-1.7.0.101-31.1 - openSUSE Leap 42.1 (noarch): java-1_7_0-openjdk-javadoc-1.7.0.101-31.1 - openSUSE Leap 42.1 (x86_64): java-1_7_0-openjdk-bootstrap-1.7.0.101-31.1 java-1_7_0-openjdk-bootstrap-debuginfo-1.7.0.101-31.1 java-1_7_0-openjdk-bootstrap-debugsource-1.7.0.101-31.1 java-1_7_0-openjdk-bootstrap-devel-1.7.0.101-31.1 java-1_7_0-openjdk-bootstrap-devel-debuginfo-1.7.0.101-31.1 java-1_7_0-openjdk-bootstrap-headless-1.7.0.101-31.1 java-1_7_0-openjdk-bootstrap-headless-debuginfo-1.7.0.101-31.1 References: https://www.suse.com/security/cve/CVE-2016-0686.html https://www.suse.com/security/cve/CVE-2016-0687.html https://www.suse.com/security/cve/CVE-2016-0695.html https://www.suse.com/security/cve/CVE-2016-3425.html https://www.suse.com/security/cve/CVE-2016-3427.html https://bugzilla.suse.com/976340 --